{% extends "mainpage/header.html" %} {% block content %}

<head>
    <title>HOUSIE! (server)</title>
    <style type="text/css">
        .well {
            background-color: white;
        }
        .wellmain {
            background-color: white;
            font-size: 300px;
        }
    </style>
</head>
<script language ="javascript" >
	next_number_interval = setInterval(click, 5000);

	function pause_next_number() {
		clearInterval(next_number_interval);
	}

	function click() {
		$("#btn_next_number").click();
	}
</script>
<!-- <meta http-equiv="refresh" content="5"> -->
<div class="container jumbotron" align="center">
    <h1>HOUSIE!</h1>
</div>
<div class="container">
    <div class="row">
        <div class="col-lg-11">
            <button type="button" class="btn btn-primary" data-toggle="collapse" href="#collapseExample" aria-expanded="false" aria-controls="collapseExample">SHOW ALL <span class="badge">{{server_numbers|length}}</span></button>
        </div>
        <div class="col-lg-1 pull-right">
            <form action="/games/reset_housie/" method="GET">
                <button type="button submit" class="btn btn-danger pull-right">RESTART</button>
            </form>
        </div>
    </div>
    <form action="/games/housieserver/" method="POST">
        {% csrf_token %}
        <div class="collapse well" id="collapseExample" align="center">
            <div class="card card-body">
                <legend>Already covered numbers</legend>
                <h3>{{server_numbers}}</h3>
            </div>
        </div>
        <div class="wellmain" align="center">
            {{next_number}}
        </div>
        <div>
            <button id="btn_next_number" type="button submit" class="btn btn-success">NEXT NUMBER</button>
            <button id="btn_pause_next_number" type="button" class="btn btn-info" onclick="pause_next_number()">PAUSE GAME</button>
        </div>
        <div>
        </div>
    </form>
</div>
{% endblock %}
